System.Web 2.0.0.0 System.Object System.Web.SessionState.IHttpSessionState

ASP.NET provides session-state management to enable you to store information associated with a unique browser session across multiple requests. You can store a collection of values referenced by a key name or by numerical index. Access to session values and functionality is available using the class, which is accessible through the property of the current or the property of the . The class accesses session-state values and session-level settings by referencing a session-state container, which is an implementation of the interface that has been populated with session-state data and added to the of the current request by the session-state module for the .

The class calls the class, which manages session settings and values in memory.

The class is the ASP.NET implementation of the interface. The class is not intended to be called from application code. If you replace the with a custom session-state module, you can use the class, or supply your own implementation of the interface.

Contains session-state values as well as session-level settings for the current request.

- Constructor
  2.0.0.0
  To be added.

  Creates a new object and initializes it with the specified settings and values.

  A session identifier for the new session. If null, an is thrown.
  An that contains the session values for the new session-state provider.
  An that specifies the objects declared by <object Runat="Server" Scope="Session"/> tags within the ASP.NET application file Global.asax.
  The amount of time, in minutes, allowed between requests before the session-state provider terminates the session.
  true to indicate the session was created with the current request; otherwise, false.
  The for the new session-state provider.
  One of the values that specifies the current session-state mode.
  true to indicate the session is read-only; otherwise, false.
- Method
  2.0.0.0
  System.Void

  The method of the marks the property as true. A custom session module can then query the property and remove the session information if the property is true.

  Marks the current session as abandoned.

- Method
  2.0.0.0
  System.Void `` ``

  If the parameter refers to an existing session-state item, the existing item is overwritten with the specified .

  Adds a new item to the session-state collection.

  The name of the item to add to the session-state collection. The value of the item to add to the session-state collection.
- Method
  2.0.0.0
  System.Void To be added.

  Removes all values and keys from the session-state collection.

- Property
  2.0.0.0
  System.Int32 To be added.

  A character set (code page) is used to interpret multibyte character data, determining character value, and therefore sort order. Code-page settings apply only to multibyte character data, not to Unicode character data.

  This property is provided for compatibility with earlier versions of ASP only. If you do not need to maintain backward compatibility with ASP pages, use the property instead.

  Gets or sets the character-set identifier for the current session.

- Property
  2.0.0.0
  System.Web.HttpCookieMode To be added.

  When is true, the property returns ; otherwise, the property returns .

  Gets a value that indicates whether the application is configured for cookieless sessions.

- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the collection of session-state values to a one-dimensional array, starting at the specified index in the array.

  The that receives the session values. The zero-based index in from which copying starts.
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of items in the session-state collection.

- Method
  2.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that can be used to read all the session-state variable names in the current session.

  An that can iterate through the variable names in the session-state collection.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the current session has been abandoned.

- Property
  2.0.0.0
  System.Boolean To be added.

  For a discussion of cookieless sessions, see the property of the class.

  Gets a value indicating whether the session ID is embedded in the URL or stored in an HTTP cookie.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the session was created with the current request.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the session is read-only.

- Property
  2.0.0.0
  System.Boolean To be added.

  Application code does not normally use this property.

  Gets a value indicating whether access to the collection of session-state values is synchronized (thread safe).

- Property
  2.0.0.0
  System.Int32 To be added.

  The property is provided for compatibility with earlier versions of ASP only. If you do not need to maintain backward compatibility with ASP pages, use the property instead.

  ASP.NET does not store the locale identifier in session state. The property accesses the property to get and set the identifier.

  Gets or sets the locale identifier (LCID) of the current session.

- Property
  2.0.0.0
  System.Web.SessionState.SessionStateMode To be added.

  For information about how to configure your server for or session-state storage mode, see ASP.NET Session State Overview.

  Gets the current session-state mode.

- Method
  2.0.0.0
  System.Void ``

  If the session-state collection does not contain an element with the specified , the collection remains unchanged. No exception is thrown.

  Deletes an item from the session-state collection.

  The name of the item to delete from the session-state collection.
- Method
  2.0.0.0
  System.Void

  performs the same function as .

  Clears all session-state values.

- Method
  2.0.0.0
  System.Void `` To be added.

  Deletes an item at a specified index from the session-state collection.

  The index of the item to remove from the session-state collection.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the unique identifier for the session.

- Property
  2.0.0.0
  System.Web.HttpStaticObjectsCollection To be added.

  If an object on a page does not support serialization and is out-of-process ( or ), the object will not be created and will not be added to this collection.

  is provided for compatibility with earlier versions of ASP.

  Gets a collection of objects declared by <object Runat="Server" Scope="Session"/> tags within the ASP.NET application file Global.asax.

- Property
  2.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the collection of session-state values.

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Collections.Specialized.NameObjectCollectionBase+KeysCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets and sets the amount of time, in minutes, allowed between requests before the session-state provider terminates the session.